List Microsoft Graph credentials
Retrieve Microsoft Graph app-only credentials saved for your account. Use this endpoint to find the credential_id required when connecting Microsoft mailboxes in bulk.
The response does not include client secrets.
Request
Endpoint
GET https://api.woodpecker.co/rest/v2/mailboxes/microsoft/credentials
Headers
x-api-key: {YOUR_API_KEY}
For details on how to authenticate your requests, please see the authentication guide.
Request samples
Retrieve credentials
- cURL
- Python
- Java
- Node.js
- PHP
curl --request GET \
--url "https://api.woodpecker.co/rest/v2/mailboxes/microsoft/credentials" \
--header "x-api-key: {YOUR_API_KEY}"
import requests
def list_microsoft_graph_credentials():
url = "https://api.woodpecker.co/rest/v2/mailboxes/microsoft/credentials"
headers = {
"x-api-key": "{YOUR_API_KEY}"
}
response = requests.get(url, headers=headers)
if response.status_code == 200:
print(response.json())
else:
print("Request failed:", response.status_code, response.text)
if __name__ == "__main__":
list_microsoft_graph_credentials()
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class WoodpeckerApiClient {
private static final String API_KEY = "{YOUR_API_KEY}";
public static void main(String[] args) {
listMicrosoftGraphCredentials();
}
public static void listMicrosoftGraphCredentials() {
try {
String url = "https://api.woodpecker.co/rest/v2/mailboxes/microsoft/credentials";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("x-api-key", API_KEY)
.GET()
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
if (response.statusCode() == 200) {
System.out.println(response.body());
} else {
System.err.println("Request failed: " + response.statusCode());
}
} catch (Exception e) {
e.printStackTrace();
}
}
}
const axios = require("axios");
async function listMicrosoftGraphCredentials() {
const url = "https://api.woodpecker.co/rest/v2/mailboxes/microsoft/credentials";
const headers = {
"x-api-key": "{YOUR_API_KEY}"
};
try {
const response = await axios.get(url, { headers });
if (response.status === 200) {
console.log(response.data);
} else {
console.error("Request failed:", response.status);
}
} catch (error) {
console.error("Request error:", error.response?.status || error.message);
}
}
listMicrosoftGraphCredentials();
<?php
require 'vendor/autoload.php';
use GuzzleHttp\Client;
use GuzzleHttp\Exception\RequestException;
$client = new Client([
'base_uri' => 'https://api.woodpecker.co/rest/v2/',
'headers' => [
'x-api-key' => getenv('WOODPECKER_API_KEY'),
],
]);
try {
$response = $client->get('mailboxes/microsoft/credentials');
echo $response->getStatusCode(), "\n";
echo $response->getBody(), "\n";
} catch (RequestException $e) {
echo "Error: ", $e->getMessage(), "\n";
if ($e->hasResponse()) {
echo $e->getResponse()->getBody(), "\n";
}
}
Response
Response examples
- 200
- 401
- 404
- 500
Request processed successfully. If there are no credentials saved in your account, an empty credentials array will be returned.
{
"credentials": [
{
"credential_id": 22334455,
"tenant_id": "bbfb2db7-aaf4-4f7c-9dc2-2c9160d1cb32",
"client_id": "e1c6ac69-480e-4a17-9b85-3467967bd179",
"secret_expires_at": "2027-11-28T23:59:59Z",
"name": "MS Graph app"
}
]
}
Body schema
| Field | Type | Description |
|---|---|---|
credentials | array | Saved Microsoft Graph credentials |
└─credential_id | integer | Credential ID to use when connecting Microsoft mailboxes |
└─tenant_id | string | Microsoft Entra tenant ID |
└─client_id | string | Microsoft Entra application client ID |
└─secret_expires_at | string | Client secret expiration date in ISO 8601 format |
└─name | string | Credential name |
An issue with authorization. Please review the authorization guide.
{
"title": "Unauthorized",
"status": 401,
"detail": "Invalid api key",
"timestamp": "2025-03-05 17:57:00"
}
Body schema
| Field | Type | Description |
|---|---|---|
title | string | A short title describing the error |
status | integer | The HTTP status code |
detail | string | A detailed message explaining the error |
timestamp | string | The timestamp when the error occurred, YYYY-MM-DD HH:MM:SS UTC |
Please review the request URL.
{
"title": "Not Found",
"status": 404,
"detail": "Requested resource does not exist",
"timestamp": "2025-03-05 17:57:00"
}
Body schema
| Field | Type | Description |
|---|---|---|
title | string | A short title describing the error |
status | integer | The HTTP status code |
detail | string | A detailed message explaining the error |
timestamp | string | The timestamp when the error occurred, YYYY-MM-DD HH:MM:SS UTC |
Unexpected error, please try again later
{
"title": "Internal server error",
"status": 500,
"detail": "An unexpected error has occurred. Please try again later.",
"timestamp": "2025-03-05 17:57:00"
}
Body schema
| Field | Type | Description |
|---|---|---|
title | string | A short title describing the error |
status | integer | The HTTP status code |
detail | string | A detailed message explaining the error |
timestamp | string | The timestamp when the error occurred, YYYY-MM-DD HH:MM:SS UTC |